Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version: 4.2.7   

Resolution: Fixed Affected version: 4.2.5

Description

Setting --no-permission-check in the mail receiver allows creating issues and probably other objects in closed and archived projects.

This is probably not what this option is intended for.

Associated revisions

Revision 21641 - 2022-06-16 23:32 - Marius BĂLTEANU

Setting --no-permission-check in the mail receiver should not allow creating issues in closed and archived projects (#37187).

Patch by Felix Schäfer.

Revision 21652 - 2022-06-17 12:25 - Marius BĂLTEANU

Merged r21641 to 5.0-stable (#37187).

Revision 21653 - 2022-06-17 12:25 - Marius BĂLTEANU

Merged r21641 to 4.2-stable (#37187).

History

#1 - 2022-06-01 19:01 - Felix Schäfer

We will work on a patch and submit it here.

#2 - 2022-06-02 11:18 - Felix Schäfer

- File 37187.patch added

The attached patch adds 2 tests demonstrating the problem when sending an email that would created a new issue. The patch also contains a

proposed fix.

#3 - 2022-06-06 15:40 - Go MAEDA

- Target version set to 4.2.7

Setting the target version to 4.2.7.

#4 - 2022-06-06 15:42 - Felix Schäfer

Thank you. We are currently working on another patch that would introduce a different Error class for this case. This would be useful for plugins that

need to differentiate between "this is not possible in that project" and "this is not possible for this user".

Could you please hold back on applying this patch? Do you think having different Error classes for those 2 cases could be useful? We will propose

another one shortly.

#5 - 2022-06-07 11:39 - Felix Schäfer

- File 37187-different_errors.patch added

Please see the attached patch. It adds subclasses for UnauthorizedAction that allows backwards compatibility for code using UnauthorizedAction but

still allows differentiating the error cases.

#6 - 2022-06-17 12:28 - Marius BĂLTEANU

- Status changed from New to Closed
- Assignee set to Marius BĂLTEANU

- Resolution set to Fixed

Felix, patch committed and merged to stable branches. Thanks for reporting and fixing the issue!

Files

37187.patch 2.86 KB 2022-06-02 Felix Schäfer

37187-different_errors.patch 3.83 KB 2022-06-07 Felix Schäfer
